using Kimuser.Domain;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Kimuser.Data.EntityMapping.Users
{
    public class UserMap : IEntityMappingConfiguration<User>
    {
        public void Map(EntityTypeBuilder<User> builder)
        {
            builder.Property(a => a.Id).ValueGeneratedOnAdd();

            builder.ToTable("User");
        }
    }
}
